# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# C:\Users\ci\AppData\Local\Temp\airflowtmp5oe4j93n\bbb99dd6-4514-476e-8f0c-08204a57789e\src\buildscripts\condarecipe.local, last modified Tue May  7 15:39:14 2024
# ------------------------------------------------

package:
  name: numba
  version: 0.60.0dev0
source:
  path: C:\Users\ci\AppData\Local\Temp\airflowtmp5oe4j93n\bbb99dd6-4514-476e-8f0c-08204a57789e\src
build:
  entry_points:
    - numba = numba.misc.numba_entry:main
  ignore_run_exports:
    - tbb
  number: '346'
  script_env:
    - PY_VCRUNTIME_REDIST
  string: np2.0py3.12hb832444_g81d614bd3_346
requirements:
  build:
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
  host:
    - blas 1.0 mkl
    - bzip2 1.0.8 h2bbff1b_6
    - ca-certificates 2024.3.11 haa95532_0
    - expat 2.6.2 hd77b12b_0
    - intel-openmp 2023.1.0 h59b6b97_46320
    - libffi 3.4.4 hd77b12b_1
    - libiconv 1.16 h2bbff1b_3
    - libxml2 2.10.4 h0ad7f3c_2
    - llvmlite 0.43.0dev0 py312ha925a31_22
    - mkl 2023.1.0 h6b88ed4_46358
    - mkl-service 2.4.0 py312h2bbff1b_1
    - mkl_fft 1.3.8 py312h2bbff1b_0
    - mkl_random 1.2.4 py312h59b6b97_0
    - numpy 2.0.0rc1 py312hfd52020_0
    - numpy-base 2.0.0rc1 py312h4dde369_0
    - openssl 3.0.13 h2bbff1b_1
    - pip 24.0 py312haa95532_0
    - python 3.12.3 h1d929f7_1
    - setuptools 69.5.1 py312haa95532_0
    - sqlite 3.45.3 h2bbff1b_0
    - tbb 2021.8.0 h59b6b97_0
    - tbb-devel 2021.8.0 h59b6b97_0
    - tk 8.6.14 h0416ee5_0
    - tzdata 2024a h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.43.0 py312haa95532_0
    - xz 5.4.6 h8cc25b3_1
    - zlib 1.2.13 h8cc25b3_1
  run:
    - llvmlite >=0.43.0dev0,<0.43
    - numpy >=1.22.3
    - python >=3.12,<3.13.0a0
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
  run_constrained:
    - cuda-python >=11.6
    - cuda-version >=11.2
    - cudatoolkit >=11.2
    - libopenblas !=0.3.6
    - scipy >=1.0
    - tbb >=2021.6
test:
  requires:
    - cffi
    - ipython
    - jinja2
    - scipy
    - setuptools
    - tbb >=2021.6
about:
  home: https://numba.pydata.org/
  license: BSD
  license_file: LICENSE
  summary: a just-in-time Python function compiler based on LLVM
extra:
  copy_test_source_files: true
  final: true
